class CircularLUT{
  //Sine,Cosine Tables
  float sinLUT[];
  float cosLUT[];
  float SINCOS_PRECISION;
  int SINCOS_LENGTH;
  CircularLUT(float precision){
    this.SINCOS_PRECISION = precision;
    this.SINCOS_LENGTH= int((360.0/SINCOS_PRECISION));
    this.sinLUT=new float[SINCOS_LENGTH];
    this.cosLUT=new float[SINCOS_LENGTH];
    for (int i = 0; i < SINCOS_LENGTH; i++) {
      this.sinLUT[i]= (float)Math.sin(i*DEG_TO_RAD*SINCOS_PRECISION);
      this.cosLUT[i]= (float)Math.cos(i*DEG_TO_RAD*SINCOS_PRECISION);
    }
  }
  int getNumOfDivision(){
    return SINCOS_LENGTH;
  }
  float getSinLUT(int index){
    return this.sinLUT[index];
  }
  float getCosLUT(int index){
    return this.cosLUT[index];
  }
}

