class EQCircle{
  float[] position;
  float initRadius;
  float Radius;
  EQCircle(float x,float y,float z,float initRadius){
    this.position = new float[3];
    this.position[0] = x;
    this.position[1] = y;
    this.position[2] = z;
    this.initRadius = initRadius;
  }
  void draw(int index){
    float sizeA = myFFT.maxAverages[index];
    //stroke(1);
    fill(1,0,1,0.5);
    pushMatrix();
    translate(position[0],position[1],position[2]);
    beginShape(TRIANGLE_STRIP);
    for(int i=0;i<circle2.getNumOfDivision();i++){
      vertex(circle2.getCosLUT(i)*initRadius*sizeA,circle2.getSinLUT(i)*initRadius*sizeA,0);
      vertex(circle2.getCosLUT(i)*initRadius*sizeA*0.9,circle2.getSinLUT(i)*initRadius*sizeA*0.9,0);
    }
    vertex(circle2.getCosLUT(0)*initRadius*sizeA,circle2.getSinLUT(0)*initRadius*sizeA,0);
    vertex(circle2.getCosLUT(0)*initRadius*sizeA*0.9,circle2.getSinLUT(0)*initRadius*sizeA*0.9,0);

    endShape(CLOSE);
    popMatrix();

  }
}

