class Emitter{
  float radius;
  float angularVelocity;
  float angularOffset;
  float theta;
  float[] pivot;
  Emitter(float px,float py,float pz,float radius,float angularVelocity,float angularOffset){
    this.radius = radius;
    this.angularVelocity = angularVelocity;
    this.angularOffset = angularOffset;
    this.theta = angularOffset;

    this.pivot = new float[3];
    this.pivot[0] = px;
    this.pivot[1] = py;
    this.pivot[2] = pz;
  }
  void update(){
    if(play){
      this.theta += angularVelocity;
    }
  }

  float getEmitPositionX(){
    return cos(theta)*radius;
  }
  float getEmitPositionY(){
    return sin(theta)*radius;
  }
  float getEmitPositionZ(){
    return this.pivot[2];
  }
  float getEmitVelocityX(){
    return cos(theta)*2.0 + cos(theta)*myFFT.averages[0]*50;
  }
  float getEmitVelocityY(){
    return sin(theta)*2.0 + sin(theta)*myFFT.averages[0]*50;
  }
  float getEmitVelocityZ(){
    return 0.0f;
  }
}
