class Particle3D{
  Force f;
  protected float[] position;
  protected float[] pastPosition;
  protected float[] velocity;
  protected int lifetime;
  protected int age;
  protected boolean live;
  Particle3D(int lifetime,float x,float y,float z,float vx,float vy,float vz,Force f){
    this.lifetime = lifetime;
    this.position = new float[3];
    this.pastPosition = new float[3];
    this.velocity = new float[3];
    this.position[0] = x;
    this.position[1] = y;
    this.position[2] = z;
    this.velocity[0] = vx;
    this.velocity[1] = vy;
    this.velocity[2] = vz;
    this.pastPosition[0] = 0;
    this.pastPosition[1] = 0;
    this.pastPosition[2] = 0;
    this.age = 0;
    this.live = true;
    this.f = f;
  }
  void update(){
    if(play == true){
      age ++;
      if(age > lifetime){
        live = false;
      }
      else{
        pastPosition[0] = position[0];
        pastPosition[1] = position[1];
        pastPosition[2] = position[2];

        position[0] += (velocity[0] * myFFT.maxAverages[31] * 2 + f.getForceX(pastPosition[0],pastPosition[1],pastPosition[2]) * ((float)age/(float)lifetime) * 1.0f);
        position[1] += (velocity[1] * myFFT.maxAverages[31] * 2 + f.getForceY(pastPosition[0],pastPosition[1],pastPosition[2]) * ((float)age/(float)lifetime) * 1.0f);
        position[2] += (velocity[2] + myFFT.maxAverages[31] * 5 + f.getForceZ(pastPosition[0],pastPosition[1],pastPosition[2]) * ((float)age/(float)lifetime) * 1.0f);
      }
    }
  }
}
