class ParticleSystem{
  ArrayList particles;
  Random randGen;
  Emitter emitter;
  FuzzColor fuzzColor;
  Force f;
  int birthPerFrame;
  ParticleSystem(int numOfParticle,int birthPerFrame, Emitter emitter, FuzzColor fuzzColor,Force f){
    particles = new ArrayList();
    randGen = new Random(465465646);
    this.emitter = emitter;
    this.fuzzColor = fuzzColor;
    this.f = f;
    this.birthPerFrame = birthPerFrame;
  }

  void update(){
    for(int i = particles.size()-1; i >= 0; i--){
      GeomParticle targetParticle = (GeomParticle)particles.get(i);
      if(targetParticle.live){
        targetParticle.draw();
        targetParticle.update();
      }
      else{
        particles.remove(i);
      }
    }
    if(play){
      for(int i = 0;i < birthPerFrame;i++){
        addParticle();
      }
    }
    this.emitter.update();
  }

  void addParticle(){
    particles.add( new GeomParticle(300,this.emitter.getEmitPositionX(),this.emitter.getEmitPositionY(),this.emitter.getEmitPositionZ(),this.emitter.getEmitVelocityX(),this.emitter.getEmitVelocityY(),-10.0f,fuzzColor,f) );
  }
}
